
var win = Ti.UI.currentWindow;

var image = 'wallpaper.jpg';

var ratio = 1.0;

var imageScrollView = Ti.UI.createScrollView({
	maxZoomScale:4.0,
	minZoomScale:1.0,
	top:0,
	width:320,
	height:480,
	showVerticalScrollIndicator:true,
    showHorizontalScrollIndicator:true,
    contentWidth: image.width,
	contentHeight: image.height,
	zoomScale:ratio
});

var imageView = Ti.UI.createImageView({
	image:image,
	width:320,
	height:480
});

imageScrollView.add(imageView);

imageView.addEventListener('doubletap', function(e) {
	
	Ti.API.info('doubletap detected.');
	Ti.API.info('zoomScale is ' + imageScrollView.zoomScale);
	
	if (imageScrollView.zoomScale < 4.0) {
		imageScrollView.zoomScale *= 2.0;
	}
	
	else {
		imageScrollView.zoomScale = ratio;
	}
	
});

imageScrollView.addEventListener('scale', function(e) {
	Ti.API.info('new imageScrollView zoomScale is ' + e.scale);
});

win.add(imageScrollView);
